/* upgrade-notifier.h
 * Copyright (C) 2004 Michiel Sikkes <michiel@eyesopened.nl>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __UPGRADE_NOTIFIER_H__
#define __UPGRADE_NOTIFIER_H__

#include <gnome.h>
#include "eggtrayicon.h"

typedef struct _UpgradeNotifier UpgradeNotifier;

struct _UpgradeNotifier
{
	EggTrayIcon *tray_icon;
	GtkWidget *icon;
	GtkWidget *eventbox;
	GtkTooltips *tooltip;
	GtkWidget *menu;
	gboolean is_displayed;

	int num_upgrades;
};

#endif /* __UPGRADE_NOTIFIER_H__ */
